This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1269569 - The Feature Support Document needs to indicate CDI is supported in both Library and Remote Client-Server mode.
The Feature Support Document needs to indicate CDI is supported in both Libra...
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.6.0
Unspecified Unspecified
unspecified Severity unspecified
: CR1
: 6.6.0
Assigned To: Christian Huffman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-07 10:46 EDT by Christian Huffman
Modified: 2016-02-17 13:41 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-17 13:41:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Huffman 2015-10-07 10:46:54 EDT
Currently the Feature Support Document indicates that CDI is supported only in Library mode; however, this feature is included in the main documentation for Remote Client Server mode as well.

The documents need to be consistent regarding what is supported.
Comment 2 Martin Gencur 2016-01-06 11:37:20 EST
Injecting RemoteCache and RemoteCacheManager works. However, annotations such as @CachePut, @CacheRemoveAll, @CacheRemove, @CacheResult cannot be used in client-server mode.
Comment 5 Martin Gencur 2016-01-11 07:56:59 EST
Looks good to me.
Comment 6 Christian Huffman 2016-02-17 13:41:39 EST
The Feature Support document has been updated and published to the portal; a link to this document on the customer portal is below:

  https://access.redhat.com/site/documentation/en-US/Red_Hat_JBoss_Data_Grid/6.6/html-single/Feature_Support_Document/index.html

Note You need to log in before you can comment on or make changes to this bug.